(function( $ ) {
	'use strict';

	$(document).ready(function() {

		var element = $('li.product-category');         
		var eventType = ((document.ontouchstart!==null)?'mousedown':'touchstart');        

		$('li.product-category figure').bind('touchstart', function (e) {

		    var link = $(this); //preselect the link
		    if (link.hasClass('hover')) {
		        return true;
		    } else {
		        link.addClass('hover');
		        $('a.taphover').not(this).removeClass('hover');
		        e.preventDefault();
		        return false; //extra, and to make sure the function has consistent return points
		    }
		});

	} );

})( jQuery );